package com.xmomen.module.account.web.controller.vo;

import org.hibernate.validator.constraints.Length;

import java.io.Serializable;
import java.util.List;


public class UpdateUserGroup implements Serializable {

    // 用户组描述
    @Length(min = 0, max = 100)
    private String description;
    // 用户ID列表
    private List<Integer> userIdList;
    // 是否可用
    private Boolean available;

    // 获取用户ID列表
    public List<Integer> getUserIdList() {
        return userIdList;
    }

    // 设置用户ID列表
    public void setUserIdList(List<Integer> userIdList) {
        this.userIdList = userIdList;
    }

    // 获取用户组描述
    public String getDescription() {
        return description;
    }

    // 设置用户组描述
    public void setDescription(String description) {
        this.description = description;
    }

    // 获取是否可用
    public Boolean getAvailable() {
        return available;
    }

    // 设置是否可用
    public void setAvailable(Boolean available) {
        this.available = available;
    }
}
